Customer Trust
Create customer trust account
Create a new customer trust account.
POST
/
customer-trust
/
accounts
Create customer trust account
curl --request POST \
--url https://api.vanta.com/v1/customer-trust/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"emailDomain": "<string>",
"customFields": [
{
"label": "<string>",
"value": "<string>"
}
],
"revenueOverrides": [
{
"fieldMappingId": "<string>",
"value": 123
}
],
"tagsByCategory": [
{
"categoryId": "<string>",
"tagIds": [
"<string>"
]
}
]
}
'import requests
url = "https://api.vanta.com/v1/customer-trust/accounts"
payload = {
"name": "<string>",
"emailDomain": "<string>",
"customFields": [
{
"label": "<string>",
"value": "<string>"
}
],
"revenueOverrides": [
{
"fieldMappingId": "<string>",
"value": 123
}
],
"tagsByCategory": [
{
"categoryId": "<string>",
"tagIds": ["<string>"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
emailDomain: '<string>',
customFields: [{label: '<string>', value: '<string>'}],
revenueOverrides: [{fieldMappingId: '<string>', value: 123}],
tagsByCategory: [{categoryId: '<string>', tagIds: ['<string>']}]
})
};
fetch('https://api.vanta.com/v1/customer-trust/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/customer-trust/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'emailDomain' => '<string>',
'customFields' => [
[
'label' => '<string>',
'value' => '<string>'
]
],
'revenueOverrides' => [
[
'fieldMappingId' => '<string>',
'value' => 123
]
],
'tagsByCategory' => [
[
'categoryId' => '<string>',
'tagIds' => [
'<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/customer-trust/accounts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"emailDomain\": \"<string>\",\n \"customFields\": [\n {\n \"label\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"revenueOverrides\": [\n {\n \"fieldMappingId\": \"<string>\",\n \"value\": 123\n }\n ],\n \"tagsByCategory\": [\n {\n \"categoryId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vanta.com/v1/customer-trust/accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"emailDomain\": \"<string>\",\n \"customFields\": [\n {\n \"label\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"revenueOverrides\": [\n {\n \"fieldMappingId\": \"<string>\",\n \"value\": 123\n }\n ],\n \"tagsByCategory\": [\n {\n \"categoryId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/customer-trust/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"emailDomain\": \"<string>\",\n \"customFields\": [\n {\n \"label\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"revenueOverrides\": [\n {\n \"fieldMappingId\": \"<string>\",\n \"value\": 123\n }\n ],\n \"tagsByCategory\": [\n {\n \"categoryId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "507f1f77bcf86cd799439011",
"name": "Acme Corporation",
"emailDomain": "acme.com",
"createdDate": "2024-01-01T00:00:00.000Z",
"updatedDate": "2024-01-02T00:00:00.000Z",
"ndaDetails": {
"ndaStatus": "SIGNED",
"ndaSatisfiedDate": "2024-01-02T00:00:00.000Z"
},
"accessConfig": {
"autoApprovalEnabled": false,
"grantAccessOption": "INCLUDE_EVERYTHING_REQUESTED"
},
"customRevenueMetrics": [
{
"metricId": "507f1f77bcf86cd799439014",
"displayName": "Annual recurring revenue",
"fieldName": "AnnualRecurringRevenue__c",
"syncedAmount": 120000,
"overrideAmount": 125000,
"currency": "USD"
}
],
"customFields": [
{
"label": "externalId",
"value": "12345"
}
],
"tagsByCategory": [
{
"categoryId": "507f1f77bcf86cd799439012",
"tagIds": [
"507f1f77bcf86cd799439013"
]
}
]
}Authorizations
Body
application/json
Response
200 - application/json
Ok
Vanta API representation of a CustomerTrustAccount.
Was this page helpful?
⌘I
Create customer trust account
curl --request POST \
--url https://api.vanta.com/v1/customer-trust/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"emailDomain": "<string>",
"customFields": [
{
"label": "<string>",
"value": "<string>"
}
],
"revenueOverrides": [
{
"fieldMappingId": "<string>",
"value": 123
}
],
"tagsByCategory": [
{
"categoryId": "<string>",
"tagIds": [
"<string>"
]
}
]
}
'import requests
url = "https://api.vanta.com/v1/customer-trust/accounts"
payload = {
"name": "<string>",
"emailDomain": "<string>",
"customFields": [
{
"label": "<string>",
"value": "<string>"
}
],
"revenueOverrides": [
{
"fieldMappingId": "<string>",
"value": 123
}
],
"tagsByCategory": [
{
"categoryId": "<string>",
"tagIds": ["<string>"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
emailDomain: '<string>',
customFields: [{label: '<string>', value: '<string>'}],
revenueOverrides: [{fieldMappingId: '<string>', value: 123}],
tagsByCategory: [{categoryId: '<string>', tagIds: ['<string>']}]
})
};
fetch('https://api.vanta.com/v1/customer-trust/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/customer-trust/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'emailDomain' => '<string>',
'customFields' => [
[
'label' => '<string>',
'value' => '<string>'
]
],
'revenueOverrides' => [
[
'fieldMappingId' => '<string>',
'value' => 123
]
],
'tagsByCategory' => [
[
'categoryId' => '<string>',
'tagIds' => [
'<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/customer-trust/accounts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"emailDomain\": \"<string>\",\n \"customFields\": [\n {\n \"label\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"revenueOverrides\": [\n {\n \"fieldMappingId\": \"<string>\",\n \"value\": 123\n }\n ],\n \"tagsByCategory\": [\n {\n \"categoryId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vanta.com/v1/customer-trust/accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"emailDomain\": \"<string>\",\n \"customFields\": [\n {\n \"label\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"revenueOverrides\": [\n {\n \"fieldMappingId\": \"<string>\",\n \"value\": 123\n }\n ],\n \"tagsByCategory\": [\n {\n \"categoryId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/customer-trust/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"emailDomain\": \"<string>\",\n \"customFields\": [\n {\n \"label\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"revenueOverrides\": [\n {\n \"fieldMappingId\": \"<string>\",\n \"value\": 123\n }\n ],\n \"tagsByCategory\": [\n {\n \"categoryId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "507f1f77bcf86cd799439011",
"name": "Acme Corporation",
"emailDomain": "acme.com",
"createdDate": "2024-01-01T00:00:00.000Z",
"updatedDate": "2024-01-02T00:00:00.000Z",
"ndaDetails": {
"ndaStatus": "SIGNED",
"ndaSatisfiedDate": "2024-01-02T00:00:00.000Z"
},
"accessConfig": {
"autoApprovalEnabled": false,
"grantAccessOption": "INCLUDE_EVERYTHING_REQUESTED"
},
"customRevenueMetrics": [
{
"metricId": "507f1f77bcf86cd799439014",
"displayName": "Annual recurring revenue",
"fieldName": "AnnualRecurringRevenue__c",
"syncedAmount": 120000,
"overrideAmount": 125000,
"currency": "USD"
}
],
"customFields": [
{
"label": "externalId",
"value": "12345"
}
],
"tagsByCategory": [
{
"categoryId": "507f1f77bcf86cd799439012",
"tagIds": [
"507f1f77bcf86cd799439013"
]
}
]
}